/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.text.SimpleDateFormat;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.CategoriaPeriodo;

/**
 *
 * @author Administrador
 */
public class RenderConfiguracionCategoriaPeriodo implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        CategoriaPeriodo categoriaPeriodo = (CategoriaPeriodo) o;

        SimpleDateFormat sf = new SimpleDateFormat("dd/MM/yyyy HH:mm");

        Listcell lc = new Listcell(categoriaPeriodo.getFecinicio() == null ? "" : sf.format(categoriaPeriodo.getFecinicio()));
        lc.setParent(lstm);

        lc = new Listcell(categoriaPeriodo.getFecfin() == null ? "" : sf.format(categoriaPeriodo.getFecfin()));
        lc.setParent(lstm);

        lstm.setAttribute("data", categoriaPeriodo);
    }
}
